Produced by Araxis Merge on 5/14/2018 1:19:38 PM Eastern Daylight Time. See www.araxis.com for information about Merge. This report uses XHTML and CSS2, and is best viewed with a modern standards-compliant browser. For optimum results when printing this report, use landscape orientation and enable printing of background images and colours in your browser.
| # | Location | File | Last Modified |
|---|---|---|---|
| 1 | MCCF_EDI_TAS_Infrastructure.zip\MCCF_EDI_TAS_Infrastructure\mccf_yum | mvrepo.sh | Tue Mar 27 23:50:48 2018 UTC |
| 2 | MCCF_EDI_TAS_Infrastructure.zip\MCCF_EDI_TAS_Infrastructure\mccf_yum | mvrepo.sh | Thu May 10 16:16:33 2018 UTC |
| Description | Between Files 1 and 2 |
|
|---|---|---|
| Text Blocks | Lines | |
| Unchanged | 2 | 200 |
| Changed | 1 | 2 |
| Inserted | 0 | 0 |
| Removed | 0 | 0 |
| Whitespace | |
|---|---|
| Character case | Differences in character case are significant |
| Line endings | Differences in line endings (CR and LF characters) are ignored |
| CR/LF characters | Not shown in the comparison detail |
No regular expressions were active.
| 1 | #! /bin/ba sh | |
| 2 | # | |
| 3 | clear | |
| 4 | ||
| 5 | # CONTACT INFO | |
| 6 | CONTACT="L ee Benhart : lee.benh art@Halfak er.com or PII " | |
| 7 | ||
| 8 | # NAME OR IP OF REPO FILES | |
| 9 | ||
| 10 | ||
| 11 | DEVREPOSRC ="aws-mast er.mccf.ha lfakerlabs .com" | |
| 12 | TARGETREPO FILE=mccf. repo | |
| 13 | ||
| 14 | # | |
| 15 | # Verify R OOT user i s running this | |
| 16 | MYID="`/us r/bin/id - u`" | |
| 17 | if [ "$MYI D" -ne 0 ] ; then ec ho $0: You must be r oot to run this 1>&2 ; exit 1 ; fi | |
| 18 | # | |
| 19 | ||
| 20 | echo "" | |
| 21 | echo "$0 l ocalize th e link add ress of th e ${TARGET REPOFILE}" | |
| 22 | ||
| 23 | TARGETREPO SRC=$(host name) | |
| 24 | ||
| 25 | if [ -z "$ {TARGETREP OSRC}" ] | |
| 26 | then | |
| 27 | echo " $0 ${TARGE TREPOSRC} not found, contact $ {CONTACT}" | |
| 28 | fi | |
| 29 | ||
| 30 | echo "$0 S ynchronizi ng install to VA env ironment.. . " | |
| 31 | echo "$0 M y local ad dress is $ {TARGETREP OSRC}" | |
| 32 | ||
| 33 | src_ip_esc =${DEVREPO SRC//./\\. } | |
| 34 | test="" | |
| 35 | test=$( gr ep "${DEVR EPOSRC}" $ {TARGETREP OFILE} ) | |
| 36 | ||
| 37 | if [ -n "$ {test}" ] | |
| 38 | then | |
| 39 | ||
| 40 | echo " $0 Replace ${DEVREPO SRC} with ${TARGETRE POSRC} in ${TARGETRE POFILE}, a nd index.h tml" | |
| 41 | cp ${T ARGETREPOF ILE} "${TA RGETREPOFI LE}.bak" | |
| 42 | cp ${T ARGETREPOF ILE} "inde x.html.bak " | |
| 43 | ||
| 44 | sed -i "s/${src_ ip_esc}/${ TARGETREPO SRC}/g" ${ TARGETREPO FILE} | |
| 45 | sed -i "s/${src_ ip_esc}/${ TARGETREPO SRC}/g" in dex.html | |
| 46 | ||
| 47 | else | |
| 48 | echo " $0 ${DEVRE POSRC} not found in ${TARGETRE POFILE}" | |
| 49 | fi | |
| 50 | ||
| 51 | echo "" | |
| 52 | echo "$0 C opy the re levant fil es to the html locat ion" | |
| 53 | ||
| 54 | PUBDIR="/v ar/www/htm l/pub" | |
| 55 | REPOBASEDI R="${PUBDI R}/repo" | |
| 56 | REPODIR="$ {REPOBASED IR}/yum" | |
| 57 | ||
| 58 | if [ ! -d "${PUBDIR} " ] | |
| 59 | then | |
| 60 | mkdir ${PUBDIR} | |
| 61 | echo " $0 Fix dir ectory own er and per missions $ {PUBDIR}" | |
| 62 | chown -R root:ro ot "${PUBD IR}" | |
| 63 | chmod 0755 "${PU BDIR}" | |
| 64 | echo " $0 task co mpleted" | |
| 65 | fi | |
| 66 | ||
| 67 | if [ ! -d "${REPOBAS EDIR}" ] | |
| 68 | then | |
| 69 | mkdir ${REPOBASE DIR} | |
| 70 | echo " $0 Fix dir ectory own er and per missions $ {REPOBASED IR}" | |
| 71 | chown -R root:ro ot "${REPO BASEDIR}" | |
| 72 | chmod 0755 "${RE POBASEDIR} " | |
| 73 | echo " $0 task co mpleted" | |
| 74 | fi | |
| 75 | ||
| 76 | if [ ! -d "${REPODIR }" ] | |
| 77 | then | |
| 78 | mkdir ${REPODIR} | |
| 79 | echo " $0 Fix dir ectory own er and per missions $ {REPODIR}" | |
| 80 | chown -R root:ro ot "${REPO DIR}" | |
| 81 | chmod 0755 "${RE PODIR}" | |
| 82 | echo " $0 task co mpleted" | |
| 83 | fi | |
| 84 | ||
| 85 | rsync -av --progress . ${REPOD IR} --excl ude '.git* ' --exclud e 'README. md' --excl ude '*.bak ' --exclud e '*.sh' - -del | |
| 86 | ||
| 87 | if [ -s "$ {REPODIR}/ ${TARGETRE POFILE}" ] | |
| 88 | then | |
| 89 | echo " $0 Fix dir ectory own er and per missions $ {REPODIR}" | |
| 90 | chown -R root:ro ot "${REPO DIR}" | |
| 91 | chmod 0755 "${RE PODIR}" | |
| 92 | find $ {REPODIR} -type d -e xec chmod 0755 '{}' \; | |
| 93 | find $ {REPODIR} -type f -e xec chmod 0644 '{}' \; | |
| 94 | echo " $0 task co mpleted" | |
| 95 | else | |
| 96 | echo " $0 ${REPOD IR}/${TARG ETREPOFILE } not foun d, contact ${CONTACT }" | |
| 97 | fi | |
| 98 | ||
| 99 | restorecon -R "/var/ www/html" | |
| 100 | if [ $? -n e 0 ] ; th en echo "$ 0: Please report any errors to ${CONTACT }" ; fi | |
| 101 |
Araxis Merge (but not the data content of this report) is Copyright © 1993-2016 Araxis Ltd (www.araxis.com). All rights reserved.